FPGA Intellectual Property
PCI Express*, Networking and Connectivity, Memory Interfaces, DSP IP, and Video IP
Announcements
Intel Support hours are Monday-Fridays, 8am-5pm PST, except Holidays. Thanks to our community members who provide support during our down time or before we get to your questions. We appreciate you!

Need Forum Guidance? Click here
Search our FPGA Knowledge Articles here.
5884 Discussions

Upgrading CycloneIV PCIe with Avalon-ST interface to 20.1

SimonRichter
New Contributor I
228 Views

Hi,

I'm trying to upgrade my older designs to 20.1 so I only need a single version of Quartus installed (also, installing 16.1 has become a bit more difficult, as noninteractive installs no longer work).

One of my designs has a PCIe interface on a CycloneIV GX, with several hand-written components that attach to the Avalon-ST interface, but it seems the IP block no longer exists in the library and no upgrade path exists. The "Release Notes" link suggests that it was discontinued, but the link does not work, so I can't tell when exactly or what would replace it.

Is there still a way to get TLPs through an Avalon-ST interface in 20.1?

   Simon

0 Kudos
1 Solution
KhaiChein_Y_Intel
203 Views

Hi,


Starting from v19.1, the PCIe IP is supported in V-series devices only. You may use v18.1 and earlier if you would like to use in Cyclone IV.


Thanks

Best regards,

KhaiY


View solution in original post

2 Replies
KhaiChein_Y_Intel
204 Views

Hi,


Starting from v19.1, the PCIe IP is supported in V-series devices only. You may use v18.1 and earlier if you would like to use in Cyclone IV.


Thanks

Best regards,

KhaiY


KhaiChein_Y_Intel
199 Views

Hi,


I’m glad that your question has been addressed, I now transition this thread to community support. If you have a new question, feel free to open a new thread to get the support from Intel experts. Otherwise, the community users will continue to help you on this thread. Thank you.


Best regards,

KhaiY


Reply